import mods.mekanism.api.ingredient.ChemicalStackIngredient.GasStackIngredient;
import mods.mekanism.api.ingredient.ItemStackIngredient;

val antimatterSynth = <recipetype:mekanism:nucleosynthesizing>;
val antimatter = <gas:mekanism:antimatter>;
val blockCoal = <tag:items:forge:storage_blocks/coal>;
val blockDiamond = <item:minecraft:diamond_block>;
val pouch = <item:mna:practitioners_pouch>;
val mithionBag = <item:mna:mithions_magnificent_mbag>;
//val finalFractal = <item:cataclysm:final_fractal>;
val theIncinerator = <item:cataclysm:the_incinerator>;
val astroBlade = <item:mna:astro_blade>;
val greaterMoteFire = <item:mna:greater_mote_fire>;
val lavaUrn = <item:mna:fluid_jug_infinite_lava>;
val pumpkin = <item:minecraft:pumpkin>;
val pumpkinStaff = <item:mna:pumpkin_staff>;
val runesmithHammer = <item:mna:runesmith_hammer>;
val runicMalus = <item:mna:runic_malus>;
val glassBottle = <item:minecraft:glass_bottle>;
val weaverPouch = <item:mna:weaver_pouch>;
//val relicFragement = <item:primalmagick:mystical_relic_fragment>;
//val relicTablet = <item:primalmagick:mystical_relic>;

// Remove Useless Recipes

antimatterSynth.removeByName("mekanism:nucleosynthesizing/iron");
antimatterSynth.removeByName("mekanism:nucleosynthesizing/quartz_block");
antimatterSynth.removeByName("mekanism:nucleosynthesizing/redstone_block");
antimatterSynth.removeByName("mekanism:nucleosynthesizing/end_crystal");
antimatterSynth.removeByName("mekanism:nucleosynthesizing/diamond");
antimatterSynth.removeByName("mekanism:nucleosynthesizing/emerald");
antimatterSynth.removeByName("mekanism:nucleosynthesizing/chorus_flower");
antimatterSynth.removeByName("mekanism:nucleosynthesizing/crying_obsidian");
antimatterSynth.removeByName("mekanism:nucleosynthesizing/glowstone_block");
antimatterSynth.removeByName("mekanism:nucleosynthesizing/crossbow");
antimatterSynth.removeByName("mekanism:nucleosynthesizing/ender_chest");
antimatterSynth.removeByName("mekanism:nucleosynthesizing/lapis_block");

// Additional Antimatter Recipes

antimatterSynth.addRecipe("nucleosynth_diamond_block", blockCoal, antimatter*16, blockDiamond, 1000);
antimatterSynth.addRecipe("nucleosynth_mithion_bag", pouch, antimatter*350, mithionBag, 1000000);
antimatterSynth.addRecipe("nucleosynth_astro_blade", theIncinerator, antimatter*700, astroBlade, 1000000);
antimatterSynth.addRecipe("nucleosynth_lava_urn", greaterMoteFire, antimatter*200, lavaUrn, 500000);
antimatterSynth.addRecipe("nucleosynth_punkin_staff", pumpkin, antimatter*100, pumpkinStaff, 10000);
antimatterSynth.addRecipe("nucleosynth_runic_malus", runesmithHammer, antimatter*400, runicMalus, 1000000);
antimatterSynth.addRecipe("nucleosynth_weaver_pouch", glassBottle, antimatter*6, weaverPouch, 1000);
//antimatterSynth.addRecipe("nucleosynth_relic_tablet", relicFragement, antimatter*16, relicTablet, 4000);

// Script written by FoxMcloud5655